## rust-streaming-stats 0.2.3

=== Makefile ===
ctags:
	ctags --recurse --options=ctags.rust --languages=Rust

docs:
	cargo doc
	# WTF is rustdoc doing?
	in-dir ./target/doc fix-perms
	rscp ./target/doc/* gopher:~/www/burntsushi.net/rustdoc/

push:
	git push origin master
	git push github master

=== debian/changelog ===
rust-streaming-stats (0.2.3-1) unstable; urgency=medium

  * Package streaming-stats 0.2.3 from crates.io using debcargo 2.4.4

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 11 Jun 2022 20:04:23 +0200

=== debian/control ===
Source: rust-streaming-stats
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-num-traits-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Héctor Orón Martínez <zumbi@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/streaming-stats]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/streaming-stats
Homepage: https://github.com/BurntSushi/rust-stats
Rules-Requires-Root: no

Package: librust-streaming-stats-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-num-traits-0.2+default-dev
Provides:
 librust-streaming-stats+default-dev (= ${binary:Version}),
 librust-streaming-stats-0-dev (= ${binary:Version}),
 librust-streaming-stats-0+default-dev (= ${binary:Version}),
 librust-streaming-stats-0.2-dev (= ${binary:Version}),
 librust-streaming-stats-0.2+default-dev (= ${binary:Version}),
 librust-streaming-stats-0.2.3-dev (= ${binary:Version}),
 librust-streaming-stats-0.2.3+default-dev (= ${binary:Version})
Description: Experimental crate for computing basic statistics on streams - Rust source code
 This package contains the source for the Rust streaming-stats crate, packaged
 by debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test streaming-stats 0.2.3 --all-targets --all-features
Features: test-name=rust-streaming-stats:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test streaming-stats 0.2.3 --all-targets 
Features: test-name=librust-streaming-stats-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test streaming-stats 0.2.3 --all-targets --no-default-features
Features: test-name=librust-streaming-stats-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/streaming-stats-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/streaming-stats .*/crates/streaming-stats/@ANY_VERSION@/download
